Posts

Showing posts from September, 2011

Simplifying TIN Surface Editing.

Image
The Problem Editing TIN surface information can be a pain. To make any small change, we end up going to Toolspace, then surface, the surface, definition, right click on edit, lastly select the tool we need. By the time I get to the tool, I forgot what I was doing. The Fix Use a LISP file to launch each command. This will keep you from the number of clicks it takes to edit the TIN surface. Creating LISP File Open Notepad in windows. Save a blank text file. Copy and paste the text below. Save Right click on the file in Windows Explorer and Rename. Change the extension from .txt to .lsp (defun c:sal () (command "addsurfaceline") (princ) ) (defun c:sdl () (command "deletesurfaceline") (princ) ) (defun c:swe () (command "editsurfaceswapedge") (princ) ) (defun c:sap () (command "addsurfacepoint") (princ) ) (defun c:sdp () (command "deletesurfacepoint") (princ) ) (defun c:sep ()

Creating A Block Without Creating a Drawing File.

Image
Today, we are going to talk about how to make a block without creating another drawing to add to the random crap on your hard drive or server. You can copy multiple objects using groups but the bad part of using groups is the editing. Once the block is created, you can copy and edit it using block editor to change all the objects at once. 1. Copy with Base Point command Right click > Clipboard > Copy with Base Point. 2. Select Base Point. 3. Select objects to make into a block 4. Paste as Block command Right Click > Clipboard > Paste as Block Here is the tricky part; if the Paste as Block command in the right click menu is shaded back, then you will need to select an object (any object) in your drawing before using the Paste as Block command. The objects are now in a block which makes it easy for copying and editing. Enjoy!